
goog.provide("node.tty_win32.WriteStream");

/**
 * @constructor
 */
node.tty_win32.WriteStream = function() {};

/**
 * @type {string|null}
 */
node.tty_win32.WriteStream.prototype.fd = null;

/**
 * @type {string|null}
 */
node.tty_win32.WriteStream.prototype.writable = null;

/**
 * @type {boolean|null}
 */
node.tty_win32.WriteStream.prototype.isTTY = null;

/**
 * @param {string} data
 * @param {string=} encoding
 */
node.tty_win32.WriteStream.prototype.write = function(data, encoding) {
  return node.tty_win32.WriteStream.core_.write(data, encoding);
};

/**
 * @param {string} data
 * @param {string=} encoding
 */
node.tty_win32.WriteStream.prototype.end = function(data, encoding) {
  return node.tty_win32.WriteStream.core_.end(data, encoding);
};

/**
 *
 */
node.tty_win32.WriteStream.prototype.destroy = function() {
  return node.tty_win32.WriteStream.core_.destroy();
};

/**
 * @param {string} dx
 * @param {string} dy
 */
node.tty_win32.WriteStream.prototype.moveCursor = function(dx, dy) {
  return node.tty_win32.WriteStream.core_.moveCursor(dx, dy);
};

/**
 * @param {string} x
 * @param {string} y
 */
node.tty_win32.WriteStream.prototype.cursorTo = function(x, y) {
  return node.tty_win32.WriteStream.core_.cursorTo(x, y);
};

/**
 * @param {string} direction
 */
node.tty_win32.WriteStream.prototype.clearLine = function(direction) {
  return node.tty_win32.WriteStream.core_.clearLine(direction);
};

/**
 * @param {string} dest
 * @param {Object} options
 */
node.tty_win32.WriteStream.prototype.pipe = function(dest, options) {
  return node.tty_win32.WriteStream.core_.pipe(dest, options);
};

/**
 * @param {string} n
 */
node.tty_win32.WriteStream.prototype.setMaxListeners = function(n) {
  return node.tty_win32.WriteStream.core_.setMaxListeners(n);
};

/**
 * @param {string} type
 */
node.tty_win32.WriteStream.prototype.emit = function(type) {
  return node.tty_win32.WriteStream.core_.emit(type);
};

/**
 * @param {string} type
 * @param {string} listener
 */
node.tty_win32.WriteStream.prototype.addListener = function(type, listener) {
  return node.tty_win32.WriteStream.core_.addListener(type, listener);
};

/**
 * @param {string} type
 * @param {string} listener
 */
node.tty_win32.WriteStream.prototype.on = function(type, listener) {
  return node.tty_win32.WriteStream.core_.on(type, listener);
};

/**
 * @param {string} type
 * @param {string} listener
 */
node.tty_win32.WriteStream.prototype.once = function(type, listener) {
  return node.tty_win32.WriteStream.core_.once(type, listener);
};

/**
 * @param {string} type
 * @param {string} listener
 */
node.tty_win32.WriteStream.prototype.removeListener = function(type, listener) {
  return node.tty_win32.WriteStream.core_.removeListener(type, listener);
};

/**
 * @param {string} type
 */
node.tty_win32.WriteStream.prototype.removeAllListeners = function(type) {
  return node.tty_win32.WriteStream.core_.removeAllListeners(type);
};

/**
 * @param {string} type
 */
node.tty_win32.WriteStream.prototype.listeners = function(type) {
  return node.tty_win32.WriteStream.core_.listeners(type);
};


/**
 * @private
 * @type {*}
 */
node.tty_win32.WriteStream.core_ = require("tty_win32").WriteStream;